VkSubpassDescription Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkSubpassDescription:
[legend]

## Data Fields

VkSubpassDescriptionFlags | flags
VkPipelineBindPoint | pipelineBindPoint
uint32_t | inputAttachmentCount
const VkAttachmentReference * | pInputAttachments
uint32_t | colorAttachmentCount
const VkAttachmentReference * | pColorAttachments
const VkAttachmentReference * | pResolveAttachments
const VkAttachmentReference * | pDepthStencilAttachment
uint32_t | preserveAttachmentCount
const uint32_t * | pPreserveAttachments

## Detailed Description

Definition at line 2270 of file vulkan.h.

## Field Documentation

## colorAttachmentCount

uint32_t VkSubpassDescription::colorAttachmentCount

Definition at line 2275 of file vulkan.h.

## flags

VkSubpassDescriptionFlags VkSubpassDescription::flags

Definition at line 2271 of file vulkan.h.

## inputAttachmentCount

uint32_t VkSubpassDescription::inputAttachmentCount

Definition at line 2273 of file vulkan.h.

## pColorAttachments

const VkAttachmentReference* VkSubpassDescription::pColorAttachments

Definition at line 2276 of file vulkan.h.

## pDepthStencilAttachment

const VkAttachmentReference* VkSubpassDescription::pDepthStencilAttachment

Definition at line 2278 of file vulkan.h.

## pInputAttachments

const VkAttachmentReference* VkSubpassDescription::pInputAttachments

Definition at line 2274 of file vulkan.h.

## pipelineBindPoint

VkPipelineBindPoint VkSubpassDescription::pipelineBindPoint

Definition at line 2272 of file vulkan.h.

## pPreserveAttachments

const uint32_t* VkSubpassDescription::pPreserveAttachments

Definition at line 2280 of file vulkan.h.

## preserveAttachmentCount

uint32_t VkSubpassDescription::preserveAttachmentCount

Definition at line 2279 of file vulkan.h.

## pResolveAttachments

const VkAttachmentReference* VkSubpassDescription::pResolveAttachments

Definition at line 2277 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h